require( "scripts/style.lua" );

MakeDialog
{
	FaderWindow
	{   
		wait=0,
		duration=100,
		fit = true,
		Quit
		{
			image = "backgrounds/popup_bg",
			x=311,
			y=230,
			fit=true,
			name="quit",
			
			Text
			{
				x = 20,
				y = 8,
				w = 372,
				h = 46,
				font = {
					oldsansblackFont,
					40,
					RedTextColor
				},
				label = "quit2",
				flags = kVAlignCenter;
			},
			
			Text
			{
				x = 12,
				y = 55,
				w = 378,
				h = 200,
				font = {
					oldsansblackFont,
					30,
					BlackColor
				},
				label = "quitduringgame",
				flags = kHAlignCenter + kVAlignCenter;
			},
			SetStyle( MenuButtonStyle ),
			Button
			{
				name = "menuyes",
				x=17,
				y=258,
				w=133,
				h=25,
				graphics = MediumButton1Graphics,
				MenuButtonLabel(0, 0, 143, 32, "yes", oldsansblackFont, 24, Color(135,32,33,255), Color(44,76,60,255), Color(83,119,101,255)),
				close = true,
				command=
						function()
							PostMessage( CreateNamedMessage( kQuitNow, "Quit" ) );
						end
			},
			Button
			{
				name = "menuno",
				x=247,
				y=258,
				w=133,
				h=25,
				graphics = MediumButton1Graphics,
				MenuButtonLabel(0, 0, 143, 32, "no", oldsansblackFont, 24, Color(135,32,33,255), Color(44,76,60,255), Color(83,119,101,255)),
				close = true,
			},
		},		
	},
} -- MakeDialog
